//
//  MessageController.h
//  Tutorial1
//
//  Created by Martin Ott on 10/27/05.
//  Copyright 2005 TUM. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "MessagePublisher.h"


@interface MessageController : NSObject {
    MessagePublisher *publisher;
    
    IBOutlet NSTextField *messageField;
}

- (void)createMessageSubscriber:(id)sender;
- (void)removeMessageSubscriber:(id)sender;
- (void)publishMessage:(id)sender;

@end
